Bug 187263 - multimedia/quodlibet fails to install
multimedia/quodlibet fails to install
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Thomas Zander
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-04 21:20 UTC by Carlos J Puga Medina
Modified: 2014-05-13 23:10 UTC (History)
0 users

See Also:


Attachments
ql.diff.txt (30.26 KB, text/plain; charset=US-ASCII)
2014-04-25 20:33 UTC, Thomas Zander
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J Puga Medina 2014-03-04 21:20:01 UTC
The port multimedia/quodlibet fails to install properly and it shows the following error:

===>   Generating temporary packing list
===>  Checking if multimedia/quodlibet already installed
usage: -c [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]
   or: -c --help [cmd1 cmd2 ...]
   or: -c --help-commands
   or: -c cmd --help

error: option --single-version-externally-managed not recognized
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/multimedia/quodlibet
*** Error code 1

How-To-Repeat: cd /usr/ports/multimedia/quodlibet && make install clean
Comment 1 Edwin Groothuis freebsd_committer 2014-03-04 21:20:40 UTC
Maintainer of multimedia/quodlibet,

Please note that PR ports/187263 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/187263

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-03-04 21:20:41 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Carlos J Puga Medina 2014-03-05 00:11:46 UTC
The following patch fixes the problem. Anyway is preferable to update
quodlibet from 2.2 to 3.0.2.

diff -ruN quodlibet.old/Makefile quodlibet/Makefile
--- quodlibet.old/Makefile 2014-01-13 22:00:02.000000000 +0100
+++ quodlibet/Makefile 2014-03-05 00:07:02.000000000 +0100
@@ -15,13 +15,11 @@

 USE_PYTHON= yes
 USE_GNOME= pygtk2
-USES= gettext
-USE_PYDISTUTILS= yes
-USE_DISPLAY= yes
+USES= display gettext
+USE_PYDISTUTILS= easy_install
+PYDISTUTILS_AUTOPLIST= yes
 USE_GSTREAMER= gconf good python

-MAN1= exfalso.1 quodlibet.1
-
 OPTIONS_DEFINE= FLAC MP3 AAC MUSEPACK OGG SPC SPEEX VORBIS WAVPACK DBUS
REMOTE EXTENSIONS
 SPC_DESC= SPC (SNES ROM audio) support
 SPEEX_DESC= OGG/Speex audio support
@@ -30,7 +28,9 @@

 OPTIONS_DEFAULT= FLAC MP3 AAC MUSEPACK OGG SPC SPEEX VORBIS WAVPACK DBUS
REMOTE

-NO_STAGE= yes
+PLIST_FILES= man/man1/exfalso.1.gz \
+ man/man1/quodlibet.1.gz
+
 .include <bsd.port.options.mk>
 .include <bsd.port.pre.mk>

@@ -92,8 +92,7 @@
 .endif

 post-install:
- @${ECHO_CMD}
- @${CAT} ${PKGMESSAGE}
- @${ECHO_CMD}
+ ${INSTALL_MAN} ${WRKSRC}/man/exfalso.1 ${STAGEDIR}${MAN1PREFIX}/man/man1
+ ${INSTALL_MAN} ${WRKSRC}/man/quodlibet.1 ${STAGEDIR}${MAN1PREFIX}/man/man1

 .include <bsd.port.post.mk>
diff -ruN quodlibet.old/pkg-plist quodlibet/pkg-plist
--- quodlibet.old/pkg-plist 2014-01-22 16:16:56.000000000 +0100
+++ quodlibet/pkg-plist 1970-01-01 01:00:00.000000000 +0100
@@ -1,392 +0,0 @@
-bin/exfalso
-bin/quodlibet
-share/applications/exfalso.desktop
-share/applications/quodlibet.desktop
-share/locale/hu/LC_MESSAGES/quodlibet.mo
-share/locale/gl_ES/LC_MESSAGES/quodlibet.mo
-share/locale/ru/LC_MESSAGES/quodlibet.mo
-share/locale/ja/LC_MESSAGES/quodlibet.mo
-share/locale/he/LC_MESSAGES/quodlibet.mo
-share/locale/es/LC_MESSAGES/quodlibet.mo
-share/locale/sk/LC_MESSAGES/quodlibet.mo
-share/locale/de/LC_MESSAGES/quodlibet.mo
-share/locale/nl/LC_MESSAGES/quodlibet.mo
-share/locale/sv/LC_MESSAGES/quodlibet.mo
-share/locale/ko/LC_MESSAGES/quodlibet.mo
-share/locale/ro/LC_MESSAGES/quodlibet.mo
-share/locale/uk/LC_MESSAGES/quodlibet.mo
-share/locale/pl/LC_MESSAGES/quodlibet.mo
-share/locale/pt/LC_MESSAGES/quodlibet.mo
-share/locale/en_CA/LC_MESSAGES/quodlibet.mo
-share/locale/nb/LC_MESSAGES/quodlibet.mo
-share/locale/tr/LC_MESSAGES/quodlibet.mo
-share/locale/zh_CN/LC_MESSAGES/quodlibet.mo
-share/locale/fr/LC_MESSAGES/quodlibet.mo
-share/locale/gl/LC_MESSAGES/quodlibet.mo
-share/locale/it/LC_MESSAGES/quodlibet.mo
-share/locale/en_GB/LC_MESSAGES/quodlibet.mo
-share/locale/bg/LC_MESSAGES/quodlibet.mo
-share/locale/lt/LC_MESSAGES/quodlibet.mo
-share/locale/zh_TW/LC_MESSAGES/quodlibet.mo
-share/locale/fi/LC_MESSAGES/quodlibet.mo
-%%PYTHON_SITELIBDIR%%/quodlibet/widgets.py
-%%PYTHON_SITELIBDIR%%/quodlibet/config.py
-%%PYTHON_SITELIBDIR%%/quodlibet/__init__.py
-%%PYTHON_SITELIBDIR%%/quodlibet/stock.py
-%%PYTHON_SITELIBDIR%%/quodlibet/const.py
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/albums.py
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/playlists.py
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/media.py
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/audiofeeds.py
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/_base.py
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/iradio.py
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/search.py
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/filesystem.py
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/paned.py
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/__init__.py
-%%PYTHON_SITELIBDIR%%/quodlibet/devices/_base.py
-%%PYTHON_SITELIBDIR%%/quodlibet/devices/ipod.py
-%%PYTHON_SITELIBDIR%%/quodlibet/devices/storage.py
-%%PYTHON_SITELIBDIR%%/quodlibet/devices/__init__.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/wav.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/spc.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/wavpack.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/_audio.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/xiph.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/mod.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/mp3.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/wma.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/_id3.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/mp4.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/mpc.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/__init__.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/_apev2.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/trueaudio.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/remote.py
-%%PYTHON_SITELIBDIR%%/quodlibet/library/_library.py
-%%PYTHON_SITELIBDIR%%/quodlibet/library/songs.py
-%%PYTHON_SITELIBDIR%%/quodlibet/library/__init__.py
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/_match.py
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/_query.py
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/_pattern.py
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/__init__.py
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/_scanner.py
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/songsmenu.py
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/playorder.py
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/editing.py
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/events.py
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/__init__.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/songlist.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/songsmenu.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/lyrics.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/logging.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/quodlibetwindow.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/filesel.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/playorder.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/tagscombobox.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/downloader.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/browser.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/info.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/msg.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/renamefiles.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/getstring.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/about.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/session.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/tracker.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/pluginwin.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/information.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/entry.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/ccb.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/completion.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/cbes.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/tracknumbers.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/controls.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/queue.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/delete.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/chooser.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/prefs.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/_editpane.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/mmkeys_.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/dbus_.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/config.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/wlw.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/bookmarks.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/views.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/cover.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/tagsfrompath.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/textedit.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/exfalsowindow.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/edittags.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/sliderbutton.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/__init__.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/x.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/properties.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/remote.py
-%%PYTHON_SITELIBDIR%%/quodlibet/util/logging.py
-%%PYTHON_SITELIBDIR%%/quodlibet/util/copool.py
-%%PYTHON_SITELIBDIR%%/quodlibet/util/titlecase.py
-%%PYTHON_SITELIBDIR%%/quodlibet/util/tags.py
-%%PYTHON_SITELIBDIR%%/quodlibet/util/massagers.py
-%%PYTHON_SITELIBDIR%%/quodlibet/util/thumbnails.py
-%%PYTHON_SITELIBDIR%%/quodlibet/util/i18n.py
-%%PYTHON_SITELIBDIR%%/quodlibet/util/uri.py
-%%PYTHON_SITELIBDIR%%/quodlibet/util/__init__.py
-%%PYTHON_SITELIBDIR%%/quodlibet/player/_xine.py
-%%PYTHON_SITELIBDIR%%/quodlibet/player/nullbe.py
-%%PYTHON_SITELIBDIR%%/quodlibet/player/_base.py
-%%PYTHON_SITELIBDIR%%/quodlibet/player/xinebe.py
-%%PYTHON_SITELIBDIR%%/quodlibet/player/gstbe.py
-%%PYTHON_SITELIBDIR%%/quodlibet/player/__init__.py
-%%PYTHON_SITELIBDIR%%/quodlibet/debug/enc.py
-%%PYTHON_SITELIBDIR%%/quodlibet/debug/debugwindow.py
-%%PYTHON_SITELIBDIR%%/quodlibet/debug/__init__.py
-%%PYTHON_SITELIBDIR%%/quodlibet/images/quodlibet.png
-%%PYTHON_SITELIBDIR%%/quodlibet/images/audio-volume-muted.png
-%%PYTHON_SITELIBDIR%%/quodlibet/images/device-generic.png
-%%PYTHON_SITELIBDIR%%/quodlibet/images/audio-volume-low.png
-%%PYTHON_SITELIBDIR%%/quodlibet/images/audio-volume-high.png
-%%PYTHON_SITELIBDIR%%/quodlibet/images/audio-volume-medium.png
-%%PYTHON_SITELIBDIR%%/quodlibet/images/media-eject.png
-%%PYTHON_SITELIBDIR%%/quodlibet/images/exfalso.png
-%%PYTHON_SITELIBDIR%%/quodlibet/images/device-ipod.png
-%%PYTHON_SITELIBDIR%%/quodlibet/images/missing-cover.svg
-%%PYTHON_SITELIBDIR%%/quodlibet/images/exfalso.svg
-%%PYTHON_SITELIBDIR%%/quodlibet/images/quodlibet.svg
-%%PYTHON_SITELIBDIR%%/quodlibet/_mmkeys.so
-%%PYTHON_SITELIBDIR%%/quodlibet/_trayicon.so
-%%PYTHON_SITELIBDIR%%/quodlibet/widgets.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/config.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/__init__.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/stock.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/const.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/albums.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/playlists.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/media.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/audiofeeds.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/_base.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/iradio.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/search.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/filesystem.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/paned.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/__init__.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/devices/_base.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/devices/ipod.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/devices/storage.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/devices/__init__.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/wav.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/spc.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/wavpack.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/_audio.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/xiph.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/mod.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/mp3.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/wma.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/_id3.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/mp4.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/mpc.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/__init__.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/_apev2.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/trueaudio.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/remote.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/library/_library.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/library/songs.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/library/__init__.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/_match.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/_query.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/_pattern.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/__init__.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/_scanner.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/songsmenu.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/playorder.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/editing.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/events.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/__init__.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/songlist.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/songsmenu.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/lyrics.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/logging.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/quodlibetwindow.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/filesel.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/playorder.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/tagscombobox.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/downloader.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/browser.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/info.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/msg.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/renamefiles.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/getstring.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/about.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/session.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/tracker.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/pluginwin.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/information.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/entry.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/ccb.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/completion.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/cbes.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/tracknumbers.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/controls.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/queue.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/delete.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/chooser.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/prefs.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/_editpane.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/mmkeys_.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/dbus_.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/config.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/wlw.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/bookmarks.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/views.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/cover.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/tagsfrompath.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/textedit.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/exfalsowindow.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/edittags.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/sliderbutton.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/__init__.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/x.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/properties.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/remote.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/util/logging.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/util/copool.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/util/titlecase.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/util/tags.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/util/massagers.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/util/thumbnails.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/util/i18n.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/util/uri.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/util/__init__.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/player/_xine.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/player/nullbe.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/player/_base.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/player/xinebe.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/player/gstbe.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/player/__init__.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/debug/enc.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/debug/debugwindow.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/debug/__init__.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/widgets.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/config.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/__init__.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/stock.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/const.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/albums.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/playlists.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/media.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/audiofeeds.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/_base.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/iradio.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/search.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/filesystem.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/paned.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/__init__.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/devices/_base.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/devices/ipod.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/devices/storage.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/devices/__init__.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/wav.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/spc.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/wavpack.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/_audio.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/xiph.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/mod.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/mp3.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/wma.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/_id3.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/mp4.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/mpc.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/__init__.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/_apev2.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/trueaudio.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/remote.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/library/_library.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/library/songs.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/library/__init__.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/_match.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/_query.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/_pattern.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/__init__.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/_scanner.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/songsmenu.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/playorder.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/editing.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/events.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/__init__.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/songlist.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/songsmenu.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/lyrics.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/logging.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/quodlibetwindow.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/filesel.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/playorder.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/tagscombobox.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/downloader.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/browser.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/info.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/msg.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/renamefiles.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/getstring.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/about.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/session.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/tracker.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/pluginwin.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/information.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/entry.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/ccb.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/completion.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/cbes.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/tracknumbers.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/controls.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/queue.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/delete.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/chooser.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/prefs.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/_editpane.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/mmkeys_.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/dbus_.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/config.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/wlw.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/bookmarks.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/views.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/cover.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/tagsfrompath.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/textedit.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/exfalsowindow.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/edittags.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/sliderbutton.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/__init__.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/x.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/properties.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/remote.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/util/logging.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/util/copool.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/util/titlecase.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/util/tags.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/util/massagers.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/util/thumbnails.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/util/i18n.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/util/uri.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/util/__init__.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/player/_xine.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/player/nullbe.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/player/_base.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/player/xinebe.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/player/gstbe.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/player/__init__.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/debug/enc.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/debug/debugwindow.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/debug/__init__.pyo
-@dirrmtry share/locale/gl_ES/LC_MESSAGES
-@dirrmtry share/locale/gl_ES
-@dirrm %%PYTHON_SITELIBDIR%%/quodlibet/browsers
-@dirrm %%PYTHON_SITELIBDIR%%/quodlibet/devices
-@dirrm %%PYTHON_SITELIBDIR%%/quodlibet/formats
-@dirrm %%PYTHON_SITELIBDIR%%/quodlibet/library
-@dirrm %%PYTHON_SITELIBDIR%%/quodlibet/parse
-@dirrm %%PYTHON_SITELIBDIR%%/quodlibet/plugins
-@dirrm %%PYTHON_SITELIBDIR%%/quodlibet/qltk
-@dirrm %%PYTHON_SITELIBDIR%%/quodlibet/util
-@dirrm %%PYTHON_SITELIBDIR%%/quodlibet/player
-@dirrm %%PYTHON_SITELIBDIR%%/quodlibet/debug
-@dirrm %%PYTHON_SITELIBDIR%%/quodlibet/images
-@dirrm %%PYTHON_SITELIBDIR%%/quodlibet
Comment 4 Carlos J Puga Medina 2014-03-05 12:48:54 UTC
Fix quodlibet port for staging

diff -ruN quodlibet.old/Makefile quodlibet/Makefile
--- quodlibet.old/Makefile 2014-01-13 22:00:02.000000000 +0100
+++ quodlibet/Makefile 2014-03-05 12:33:01.000000000 +0100
@@ -15,13 +15,11 @@

 USE_PYTHON= yes
 USE_GNOME= pygtk2
-USES= gettext
-USE_PYDISTUTILS= yes
-USE_DISPLAY= yes
+USES= display gettext
+USE_PYDISTUTILS= easy_install
+PYDISTUTILS_AUTOPLIST= yes
 USE_GSTREAMER= gconf good python

-MAN1= exfalso.1 quodlibet.1
-
 OPTIONS_DEFINE= FLAC MP3 AAC MUSEPACK OGG SPC SPEEX VORBIS WAVPACK DBUS
REMOTE EXTENSIONS
 SPC_DESC= SPC (SNES ROM audio) support
 SPEEX_DESC= OGG/Speex audio support
@@ -30,7 +28,15 @@

 OPTIONS_DEFAULT= FLAC MP3 AAC MUSEPACK OGG SPC SPEEX VORBIS WAVPACK DBUS
REMOTE

-NO_STAGE= yes
+MAN1= exfalso.1 quodlibet.1
+
+PLIST_FILES= share/applications/exfalso.desktop \
+ share/applications/quodlibet.desktop \
+ share/pixmaps/exfalso.png \
+ share/pixmaps/exfalso.svg \
+ share/pixmaps/quodlibet.png \
+ share/pixmaps/quodlibet.svg
+
 .include <bsd.port.options.mk>
 .include <bsd.port.pre.mk>

@@ -92,8 +98,13 @@
 .endif

 post-install:
- @${ECHO_CMD}
- @${CAT} ${PKGMESSAGE}
- @${ECHO_CMD}
-
-.include <bsd.port.post.mk>
+ ${INSTALL_MAN} ${WRKSRC}/man/exfalso.1 ${STAGEDIR}${MAN1PREFIX}/man/man1
+ ${INSTALL_MAN} ${WRKSRC}/man/quodlibet.1 ${STAGEDIR}${MAN1PREFIX}/man/man1
+ ${INSTALL_DATA}
${WRKSRC}/exfalso.desktop.in${STAGEDIR}${DESKTOPDIR}/exfalso.desktop
+ ${INSTALL_DATA}
${WRKSRC}/quodlibet.desktop.in${STAGEDIR}${DESKTOPDIR}/quodlibet.desktop
+ ${INSTALL_DATA} ${WRKSRC}/quodlibet/images/exfalso.png
${STAGEDIR}${PREFIX}/share/pixmaps
+ ${INSTALL_DATA} ${WRKSRC}/quodlibet/images/exfalso.svg
${STAGEDIR}${PREFIX}/share/pixmaps
+ ${INSTALL_DATA} ${WRKSRC}/quodlibet/images/quodlibet.png
${STAGEDIR}${PREFIX}/share/pixmaps
+ ${INSTALL_DATA} ${WRKSRC}/quodlibet/images/quodlibet.svg
${STAGEDIR}${PREFIX}/share/pixmaps
+
+.include <bsd.port.post.mk>
diff -ruN quodlibet.old/pkg-plist quodlibet/pkg-plist
--- quodlibet.old/pkg-plist 2014-01-22 16:16:56.000000000 +0100
+++ quodlibet/pkg-plist 2014-03-05 12:11:06.000000000 +0100
@@ -1,392 +0,0 @@
-bin/exfalso
-bin/quodlibet
-share/applications/exfalso.desktop
-share/applications/quodlibet.desktop
-share/locale/hu/LC_MESSAGES/quodlibet.mo
-share/locale/gl_ES/LC_MESSAGES/quodlibet.mo
-share/locale/ru/LC_MESSAGES/quodlibet.mo
-share/locale/ja/LC_MESSAGES/quodlibet.mo
-share/locale/he/LC_MESSAGES/quodlibet.mo
-share/locale/es/LC_MESSAGES/quodlibet.mo
-share/locale/sk/LC_MESSAGES/quodlibet.mo
-share/locale/de/LC_MESSAGES/quodlibet.mo
-share/locale/nl/LC_MESSAGES/quodlibet.mo
-share/locale/sv/LC_MESSAGES/quodlibet.mo
-share/locale/ko/LC_MESSAGES/quodlibet.mo
-share/locale/ro/LC_MESSAGES/quodlibet.mo
-share/locale/uk/LC_MESSAGES/quodlibet.mo
-share/locale/pl/LC_MESSAGES/quodlibet.mo
-share/locale/pt/LC_MESSAGES/quodlibet.mo
-share/locale/en_CA/LC_MESSAGES/quodlibet.mo
-share/locale/nb/LC_MESSAGES/quodlibet.mo
-share/locale/tr/LC_MESSAGES/quodlibet.mo
-share/locale/zh_CN/LC_MESSAGES/quodlibet.mo
-share/locale/fr/LC_MESSAGES/quodlibet.mo
-share/locale/gl/LC_MESSAGES/quodlibet.mo
-share/locale/it/LC_MESSAGES/quodlibet.mo
-share/locale/en_GB/LC_MESSAGES/quodlibet.mo
-share/locale/bg/LC_MESSAGES/quodlibet.mo
-share/locale/lt/LC_MESSAGES/quodlibet.mo
-share/locale/zh_TW/LC_MESSAGES/quodlibet.mo
-share/locale/fi/LC_MESSAGES/quodlibet.mo
-%%PYTHON_SITELIBDIR%%/quodlibet/widgets.py
-%%PYTHON_SITELIBDIR%%/quodlibet/config.py
-%%PYTHON_SITELIBDIR%%/quodlibet/__init__.py
-%%PYTHON_SITELIBDIR%%/quodlibet/stock.py
-%%PYTHON_SITELIBDIR%%/quodlibet/const.py
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/albums.py
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/playlists.py
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/media.py
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/audiofeeds.py
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/_base.py
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/iradio.py
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/search.py
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/filesystem.py
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/paned.py
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/__init__.py
-%%PYTHON_SITELIBDIR%%/quodlibet/devices/_base.py
-%%PYTHON_SITELIBDIR%%/quodlibet/devices/ipod.py
-%%PYTHON_SITELIBDIR%%/quodlibet/devices/storage.py
-%%PYTHON_SITELIBDIR%%/quodlibet/devices/__init__.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/wav.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/spc.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/wavpack.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/_audio.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/xiph.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/mod.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/mp3.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/wma.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/_id3.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/mp4.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/mpc.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/__init__.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/_apev2.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/trueaudio.py
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/remote.py
-%%PYTHON_SITELIBDIR%%/quodlibet/library/_library.py
-%%PYTHON_SITELIBDIR%%/quodlibet/library/songs.py
-%%PYTHON_SITELIBDIR%%/quodlibet/library/__init__.py
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/_match.py
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/_query.py
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/_pattern.py
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/__init__.py
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/_scanner.py
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/songsmenu.py
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/playorder.py
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/editing.py
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/events.py
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/__init__.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/songlist.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/songsmenu.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/lyrics.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/logging.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/quodlibetwindow.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/filesel.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/playorder.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/tagscombobox.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/downloader.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/browser.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/info.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/msg.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/renamefiles.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/getstring.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/about.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/session.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/tracker.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/pluginwin.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/information.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/entry.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/ccb.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/completion.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/cbes.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/tracknumbers.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/controls.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/queue.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/delete.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/chooser.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/prefs.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/_editpane.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/mmkeys_.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/dbus_.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/config.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/wlw.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/bookmarks.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/views.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/cover.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/tagsfrompath.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/textedit.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/exfalsowindow.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/edittags.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/sliderbutton.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/__init__.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/x.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/properties.py
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/remote.py
-%%PYTHON_SITELIBDIR%%/quodlibet/util/logging.py
-%%PYTHON_SITELIBDIR%%/quodlibet/util/copool.py
-%%PYTHON_SITELIBDIR%%/quodlibet/util/titlecase.py
-%%PYTHON_SITELIBDIR%%/quodlibet/util/tags.py
-%%PYTHON_SITELIBDIR%%/quodlibet/util/massagers.py
-%%PYTHON_SITELIBDIR%%/quodlibet/util/thumbnails.py
-%%PYTHON_SITELIBDIR%%/quodlibet/util/i18n.py
-%%PYTHON_SITELIBDIR%%/quodlibet/util/uri.py
-%%PYTHON_SITELIBDIR%%/quodlibet/util/__init__.py
-%%PYTHON_SITELIBDIR%%/quodlibet/player/_xine.py
-%%PYTHON_SITELIBDIR%%/quodlibet/player/nullbe.py
-%%PYTHON_SITELIBDIR%%/quodlibet/player/_base.py
-%%PYTHON_SITELIBDIR%%/quodlibet/player/xinebe.py
-%%PYTHON_SITELIBDIR%%/quodlibet/player/gstbe.py
-%%PYTHON_SITELIBDIR%%/quodlibet/player/__init__.py
-%%PYTHON_SITELIBDIR%%/quodlibet/debug/enc.py
-%%PYTHON_SITELIBDIR%%/quodlibet/debug/debugwindow.py
-%%PYTHON_SITELIBDIR%%/quodlibet/debug/__init__.py
-%%PYTHON_SITELIBDIR%%/quodlibet/images/quodlibet.png
-%%PYTHON_SITELIBDIR%%/quodlibet/images/audio-volume-muted.png
-%%PYTHON_SITELIBDIR%%/quodlibet/images/device-generic.png
-%%PYTHON_SITELIBDIR%%/quodlibet/images/audio-volume-low.png
-%%PYTHON_SITELIBDIR%%/quodlibet/images/audio-volume-high.png
-%%PYTHON_SITELIBDIR%%/quodlibet/images/audio-volume-medium.png
-%%PYTHON_SITELIBDIR%%/quodlibet/images/media-eject.png
-%%PYTHON_SITELIBDIR%%/quodlibet/images/exfalso.png
-%%PYTHON_SITELIBDIR%%/quodlibet/images/device-ipod.png
-%%PYTHON_SITELIBDIR%%/quodlibet/images/missing-cover.svg
-%%PYTHON_SITELIBDIR%%/quodlibet/images/exfalso.svg
-%%PYTHON_SITELIBDIR%%/quodlibet/images/quodlibet.svg
-%%PYTHON_SITELIBDIR%%/quodlibet/_mmkeys.so
-%%PYTHON_SITELIBDIR%%/quodlibet/_trayicon.so
-%%PYTHON_SITELIBDIR%%/quodlibet/widgets.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/config.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/__init__.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/stock.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/const.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/albums.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/playlists.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/media.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/audiofeeds.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/_base.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/iradio.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/search.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/filesystem.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/paned.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/__init__.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/devices/_base.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/devices/ipod.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/devices/storage.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/devices/__init__.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/wav.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/spc.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/wavpack.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/_audio.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/xiph.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/mod.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/mp3.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/wma.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/_id3.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/mp4.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/mpc.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/__init__.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/_apev2.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/trueaudio.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/remote.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/library/_library.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/library/songs.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/library/__init__.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/_match.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/_query.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/_pattern.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/__init__.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/_scanner.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/songsmenu.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/playorder.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/editing.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/events.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/__init__.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/songlist.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/songsmenu.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/lyrics.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/logging.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/quodlibetwindow.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/filesel.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/playorder.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/tagscombobox.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/downloader.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/browser.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/info.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/msg.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/renamefiles.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/getstring.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/about.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/session.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/tracker.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/pluginwin.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/information.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/entry.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/ccb.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/completion.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/cbes.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/tracknumbers.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/controls.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/queue.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/delete.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/chooser.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/prefs.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/_editpane.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/mmkeys_.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/dbus_.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/config.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/wlw.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/bookmarks.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/views.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/cover.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/tagsfrompath.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/textedit.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/exfalsowindow.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/edittags.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/sliderbutton.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/__init__.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/x.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/properties.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/remote.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/util/logging.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/util/copool.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/util/titlecase.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/util/tags.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/util/massagers.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/util/thumbnails.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/util/i18n.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/util/uri.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/util/__init__.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/player/_xine.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/player/nullbe.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/player/_base.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/player/xinebe.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/player/gstbe.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/player/__init__.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/debug/enc.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/debug/debugwindow.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/debug/__init__.pyc
-%%PYTHON_SITELIBDIR%%/quodlibet/widgets.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/config.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/__init__.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/stock.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/const.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/albums.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/playlists.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/media.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/audiofeeds.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/_base.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/iradio.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/search.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/filesystem.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/paned.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/browsers/__init__.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/devices/_base.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/devices/ipod.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/devices/storage.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/devices/__init__.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/wav.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/spc.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/wavpack.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/_audio.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/xiph.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/mod.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/mp3.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/wma.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/_id3.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/mp4.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/mpc.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/__init__.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/_apev2.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/trueaudio.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/formats/remote.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/library/_library.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/library/songs.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/library/__init__.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/_match.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/_query.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/_pattern.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/__init__.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/parse/_scanner.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/songsmenu.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/playorder.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/editing.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/events.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/plugins/__init__.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/songlist.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/songsmenu.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/lyrics.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/logging.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/quodlibetwindow.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/filesel.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/playorder.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/tagscombobox.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/downloader.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/browser.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/info.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/msg.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/renamefiles.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/getstring.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/about.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/session.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/tracker.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/pluginwin.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/information.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/entry.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/ccb.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/completion.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/cbes.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/tracknumbers.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/controls.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/queue.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/delete.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/chooser.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/prefs.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/_editpane.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/mmkeys_.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/dbus_.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/config.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/wlw.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/bookmarks.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/views.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/cover.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/tagsfrompath.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/textedit.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/exfalsowindow.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/edittags.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/sliderbutton.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/__init__.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/x.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/properties.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/qltk/remote.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/util/logging.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/util/copool.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/util/titlecase.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/util/tags.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/util/massagers.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/util/thumbnails.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/util/i18n.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/util/uri.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/util/__init__.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/player/_xine.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/player/nullbe.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/player/_base.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/player/xinebe.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/player/gstbe.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/player/__init__.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/debug/enc.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/debug/debugwindow.pyo
-%%PYTHON_SITELIBDIR%%/quodlibet/debug/__init__.pyo
-@dirrmtry share/locale/gl_ES/LC_MESSAGES
-@dirrmtry share/locale/gl_ES
-@dirrm %%PYTHON_SITELIBDIR%%/quodlibet/browsers
-@dirrm %%PYTHON_SITELIBDIR%%/quodlibet/devices
-@dirrm %%PYTHON_SITELIBDIR%%/quodlibet/formats
-@dirrm %%PYTHON_SITELIBDIR%%/quodlibet/library
-@dirrm %%PYTHON_SITELIBDIR%%/quodlibet/parse
-@dirrm %%PYTHON_SITELIBDIR%%/quodlibet/plugins
-@dirrm %%PYTHON_SITELIBDIR%%/quodlibet/qltk
-@dirrm %%PYTHON_SITELIBDIR%%/quodlibet/util
-@dirrm %%PYTHON_SITELIBDIR%%/quodlibet/player
-@dirrm %%PYTHON_SITELIBDIR%%/quodlibet/debug
-@dirrm %%PYTHON_SITELIBDIR%%/quodlibet/images
-@dirrm %%PYTHON_SITELIBDIR%%/quodlibet
Comment 5 Carlos J Puga Medina 2014-03-05 14:14:05 UTC
I noticed that manpages don't install, so I fixed it.

--- Makefile.orig       2014-03-05 15:04:18.000000000 +0100
+++ Makefile    2014-03-05 15:02:28.000000000 +0100
@@ -28,9 +28,9 @@

 OPTIONS_DEFAULT=       FLAC MP3 AAC MUSEPACK OGG SPC SPEEX VORBIS WAVPACK
DBUS REMOTE

-MAN1=  exfalso.1 quodlibet.1
-
-PLIST_FILES=   share/applications/exfalso.desktop \
+PLIST_FILES=   man/man1/exfalso.1.gz \
+               man/man1/quodlibet.1.gz \
+               share/applications/exfalso.desktop \
                share/applications/quodlibet.desktop \
                share/pixmaps/exfalso.png \
                share/pixmaps/exfalso.svg \
Comment 6 Thomas Zander freebsd_committer 2014-04-02 19:12:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->riggs

I'll take it.
Comment 7 thomas.e.zander 2014-04-03 08:39:08 UTC
We really should use this opportunity to get the port to a newer
upstream release, 2.6.3 or 3.0.2.
Peter, do you work on an update?

Best
Riggs
Comment 8 dfilter freebsd_committer 2014-04-20 21:17:04 UTC
Author: antoine
Date: Sun Apr 20 20:17:01 2014
New Revision: 351641
URL: http://svnweb.freebsd.org/changeset/ports/351641
QAT: https://qat.redports.org/buildarchive/r351641/

Log:
  Mark broken, fails to install
  riggs@ and the maintainer are working on an update
  
  PR:		ports/187263
  Reported by:	pkg-fallout
  With hat:	portmgr

Modified:
  head/multimedia/quodlibet/Makefile

Modified: head/multimedia/quodlibet/Makefile
==============================================================================
--- head/multimedia/quodlibet/Makefile	Sun Apr 20 20:12:20 2014	(r351640)
+++ head/multimedia/quodlibet/Makefile	Sun Apr 20 20:17:01 2014	(r351641)
@@ -10,6 +10,8 @@ MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 MAINTAINER=	johnson.peter@gmail.com
 COMMENT=	A GTK+-based audio player written in Python
 
+BROKEN=		Fails to install
+
 BUILD_DEPENDS=	${PYTHON_SITELIBDIR}/mutagen/__init__.py:${PORTSDIR}/audio/py-mutagen
 RUN_DEPENDS=	${PYTHON_SITELIBDIR}/mutagen/__init__.py:${PORTSDIR}/audio/py-mutagen
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Thomas Zander freebsd_committer 2014-04-22 11:14:38 UTC
All attempts to use stage support fail because the --report option for
setuptools is broken in quodlibet. I have filed a bug report upstream:

https://code.google.com/p/quodlibet/issues/detail?id=1373
Comment 10 Thomas Zander freebsd_committer 2014-04-25 20:33:37 UTC
Hi,

minor modifications to my patchset are attached. Please test/review
and let me know whether it works as expected.

Thanks
Riggs
Comment 11 Carlos J Puga Medina 2014-05-06 16:56:30 UTC
Hi,

I just installed it without any problem, thanks.

--CJPM

PS. I'm sorry for the delay in my reply.
Comment 12 dfilter freebsd_committer 2014-05-11 15:37:26 UTC
Author: riggs
Date: Sun May 11 14:37:21 2014
New Revision: 353703
URL: http://svnweb.freebsd.org/changeset/ports/353703
QAT: https://qat.redports.org/buildarchive/r353703/

Log:
  Un-break install, but while on it
  - Update port to upstream release 2.6.3
  - Use correct download URL (move from Google code to bitbucket)
  - Add LICENSE
  - USE_* -> USES
  - Generate plist via pydistutils
  - Use SPC option on i386 only, it's not supported elsewhere
  - Stagify
  - Change URLs in pkg-message (pointing to bitbucket), simplify
  
  Special thanks to Carlos (submitter) for reviewing, and to
  Christoph Reiter (Quodlibet project) for fixing the '--record'
  option for Quodlibet with pydistutils.
  
  PR:		ports/187263
  Submitted by:	Carlos Jacobo Puga Medina <cjpugmed@gmail.com>
  Reviewed by:	submitter
  Approved by:	thierry (mentor), maintainer timeout
  MFH:		2014Q2

Added:
  head/multimedia/quodlibet/files/extra-patch-pydistutils   (contents, props changed)
  head/multimedia/quodlibet/files/patch-operon.py   (contents, props changed)
Deleted:
  head/multimedia/quodlibet/files/patch-quodlibet__qltk__config.py
  head/multimedia/quodlibet/pkg-plist
Modified:
  head/multimedia/quodlibet/Makefile
  head/multimedia/quodlibet/distinfo
  head/multimedia/quodlibet/pkg-message

Modified: head/multimedia/quodlibet/Makefile
==============================================================================
--- head/multimedia/quodlibet/Makefile	Sun May 11 14:34:22 2014	(r353702)
+++ head/multimedia/quodlibet/Makefile	Sun May 11 14:37:21 2014	(r353703)
@@ -2,39 +2,39 @@
 # $FreeBSD$
 
 PORTNAME=	quodlibet
-PORTVERSION=	2.2
-PORTREVISION=	7
+PORTVERSION=	2.6.3
 CATEGORIES=	multimedia audio python gnome
-MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
+MASTER_SITES=	http://bitbucket.org/lazka/${PORTNAME}-files/raw/default/releases/
 
 MAINTAINER=	johnson.peter@gmail.com
 COMMENT=	A GTK+-based audio player written in Python
 
-BROKEN=		Fails to install
+LICENSE=	GPLv2
 
 BUILD_DEPENDS=	${PYTHON_SITELIBDIR}/mutagen/__init__.py:${PORTSDIR}/audio/py-mutagen
 RUN_DEPENDS=	${PYTHON_SITELIBDIR}/mutagen/__init__.py:${PORTSDIR}/audio/py-mutagen
 
 USE_PYTHON=	yes
 USE_GNOME=	pygtk2
-USES=		gettext
+USES=		display gettext
 USE_PYDISTUTILS=	yes
-USE_DISPLAY=	yes
-USE_GSTREAMER=	gconf good python
+PYDISTUTILS_INSTALLNOSINGLE=	yes
+PYDISTUTILS_AUTOPLIST=	yes
+
+EXTRA_PATCHES=	${FILESDIR}/extra-patch-pydistutils
 
-MAN1=		exfalso.1 quodlibet.1
+USE_GSTREAMER=	gconf good python
 
 OPTIONS_DEFINE=	FLAC MP3 AAC MUSEPACK OGG SPC SPEEX VORBIS WAVPACK DBUS REMOTE EXTENSIONS
-SPC_DESC=	SPC (SNES ROM audio) support
+
+OPTIONS_DEFAULT=	FLAC MP3 AAC MUSEPACK OGG SPC SPEEX VORBIS WAVPACK DBUS REMOTE
+
+SPC_DESC=	SPC (SNES ROM audio) support on i386
 SPEEX_DESC=	OGG/Speex audio support
 REMOTE_DESC=	Enable remote playback
 EXTENSIONS_DESC=	Enable extensions
 
-OPTIONS_DEFAULT=	FLAC MP3 AAC MUSEPACK OGG SPC SPEEX VORBIS WAVPACK DBUS REMOTE
-
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
-.include <bsd.port.pre.mk>
 
 .if ${PORT_OPTIONS:MOGG}
 USE_GSTREAMER+=	ogg
@@ -44,7 +44,7 @@ USE_GSTREAMER+=	ogg
 USE_GSTREAMER+=	vorbis
 .endif
 
-.if ${PORT_OPTIONS:MSPC}
+.if ${PORT_OPTIONS:MSPC} && ${ARCH} == i386
 USE_GSTREAMER+=	spc
 .endif
 
@@ -61,17 +61,17 @@ USE_GSTREAMER+=	flac
 .endif
 
 .if ${PORT_OPTIONS:MMUSEPACK}
-LIB_DEPENDS+=	mpcdec.7:${PORTSDIR}/audio/musepack
+LIB_DEPENDS+=	libmpcdec.so:${PORTSDIR}/audio/musepack
 USE_GSTREAMER+=	musepack
 .endif
 
 .if ${PORT_OPTIONS:MWAVPACK}
-LIB_DEPENDS+=	wavpack.2:${PORTSDIR}/audio/wavpack
+LIB_DEPENDS+=	libwavpack.so:${PORTSDIR}/audio/wavpack
 USE_GSTREAMER+=	wavpack
 .endif
 
 .if ${PORT_OPTIONS:MAAC}
-LIB_DEPENDS+=	mp4v2.10:${PORTSDIR}/multimedia/mp4v2
+LIB_DEPENDS+=	libmp4v2.so:${PORTSDIR}/multimedia/mp4v2
 USE_GSTREAMER+=	faad
 .endif
 
@@ -88,14 +88,6 @@ USE_GSTREAMER+=	gnomevfs
 
 .if ${PORT_OPTIONS:MEXTENSIONS}
 USE_GNOME+=	pygnomeextras
-PLIST_SUB+=	EXTENSIONS=""
-.else
-PLIST_SUB+=	EXTENSIONS="@comment "
 .endif
 
-post-install:
-	@${ECHO_CMD}
-	@${CAT} ${PKGMESSAGE}
-	@${ECHO_CMD}
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/multimedia/quodlibet/distinfo
==============================================================================
--- head/multimedia/quodlibet/distinfo	Sun May 11 14:34:22 2014	(r353702)
+++ head/multimedia/quodlibet/distinfo	Sun May 11 14:37:21 2014	(r353703)
@@ -1,2 +1,2 @@
-SHA256 (quodlibet-2.2.tar.gz) = 1aac91369b26fa897c0d9eaa6a43aadcd5ffe8751a298a6c7beabe7591c0e713
-SIZE (quodlibet-2.2.tar.gz) = 910381
+SHA256 (quodlibet-2.6.3.tar.gz) = dff4ebb90c676678f72cecbff8ab15d80154354f40a865b6c9c82bb048d48a46
+SIZE (quodlibet-2.6.3.tar.gz) = 2507416

Added: head/multimedia/quodlibet/files/extra-patch-pydistutils
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/quodlibet/files/extra-patch-pydistutils	Sun May 11 14:37:21 2014	(r353703)
@@ -0,0 +1,145 @@
+--- gdist/icons.py.orig	2013-09-25 12:31:19.000000000 +0200
++++ gdist/icons.py	2014-04-23 11:06:22.328926759 +0200
+@@ -35,13 +35,16 @@
+     prefix = None
+ 
+     def initialize_options(self):
+-        pass
++        self.outfiles = []
+ 
+     def finalize_options(self):
+         self.set_undefined_options('install',
+                                    ('root', 'root'),
+                                    ('install_base', 'prefix'))
+ 
++    def get_outputs(self):
++        return self.outfiles
++
+     def run(self):
+         # install into hicolor icon theme
+         basepath = os.path.join(self.prefix, 'share', 'icons', 'hicolor')
+@@ -52,11 +55,13 @@
+ 
+         scalable = os.path.join(local, "scalable", "apps")
+         scalable_dst = os.path.join(basepath, "scalable", "apps")
+-        self.copy_tree(scalable, scalable_dst)
++        out = self.copy_tree(scalable, scalable_dst)
++        self.outfiles.extend(out)
+ 
+         png = os.path.join(local, "64x64", "apps")
+         png_dst = os.path.join(basepath, "64x64", "apps")
+-        self.copy_tree(png, png_dst)
++        out = self.copy_tree(png, png_dst)
++        self.outfiles.extend(out)
+ 
+         # this fails during packaging.. so ignore the outcome
+         subprocess.call(['gtk-update-icon-cache', basepath])
+@@ -66,4 +71,5 @@
+         if self.root is not None:
+             basepath = change_root(self.root, basepath)
+ 
+-        self.copy_tree(png, basepath)
++        out = self.copy_tree(png, basepath)
++        self.outfiles.extend(out)
+--- gdist/man.py.orig	2013-09-25 12:31:19.000000000 +0200
++++ gdist/man.py	2014-04-23 11:10:03.793912457 +0200
+@@ -29,7 +29,7 @@
+     root = None
+ 
+     def initialize_options(self):
+-        pass
++        self.outfiles = []
+ 
+     def finalize_options(self):
+         self.set_undefined_options('install', ('root', 'root'), ('install_base', 'prefix'))
+@@ -38,15 +38,22 @@
+             if not man_page[-1].isdigit():
+                 raise SystemExit("%r has no section" % man_page)
+ 
++    def get_outputs(self):
++        return self.outfiles
++
+     def run(self):
+         basepath = os.path.join(self.prefix, 'share', 'man')
+         if self.root != None:
+           basepath = change_root(self.root, basepath)
+-        self.mkpath(basepath)
++        out = self.mkpath(basepath)
++        self.outfiles.extend(out or [])
+         for man_page in self.man_pages:
+             manpath = os.path.join(basepath, "man" + man_page[-1])
+             self.mkpath(manpath)
++            out = self.mkpath(manpath)
++            self.outfiles.extend(out or [])
+             fullpath = os.path.join(manpath, os.path.basename(man_page))
+-            self.copy_file(man_page, fullpath)
++            (out, _) = self.copy_file(man_page, fullpath)
++            self.outfiles.append(out)
+ 
+ __all__ = ["install_man"]
+--- gdist/po.py.orig	2013-09-25 12:31:19.000000000 +0200
++++ gdist/po.py	2014-04-23 11:06:22.329926420 +0200
+@@ -149,7 +149,7 @@
+     root = None
+ 
+     def initialize_options(self):
+-        pass
++        self.outfiles = []
+ 
+     def finalize_options(self):
+         self.set_undefined_options('build', ('build_base', 'build_base'))
+@@ -159,6 +159,9 @@
+             ('install_base', 'install_base'),
+             ('skip_build', 'skip_build'))
+ 
++    def get_outputs(self):
++        return self.outfiles
++
+     def run(self):
+         if not self.skip_build:
+             self.run_command('build_mo')
+@@ -166,6 +169,7 @@
+         dest = os.path.join(self.install_base, "share", "locale")
+         if self.root != None:
+             dest = change_root(self.root, dest)
+-        self.copy_tree(src, dest)
++        out = self.copy_tree(src, dest)
++        self.outfiles.extend(out)
+ 
+ __all__ = ["build_mo", "install_mo", "po_stats", "check_pot"]
+--- gdist/shortcuts.py.orig	2013-09-25 12:31:19.000000000 +0200
++++ gdist/shortcuts.py	2014-04-23 11:11:31.218905210 +0200
+@@ -66,7 +66,7 @@
+     root = None
+ 
+     def initialize_options(self):
+-        pass
++        self.outfiles = []
+ 
+     def finalize_options(self):
+         self.set_undefined_options('build', ('build_base', 'build_base'))
+@@ -79,6 +79,9 @@
+         self.set_undefined_options(
+             'build_shortcuts', ('shortcuts', 'shortcuts'))
+ 
++    def get_outputs(self):
++        return self.outfiles
++
+     def run(self):
+         if not self.skip_build:
+             self.run_command('build_shortcuts')
+@@ -86,10 +89,13 @@
+         if self.root != None:
+             basepath = change_root(self.root, basepath)
+         srcpath = os.path.join(self.build_base, 'share', 'applications')
+-        self.mkpath(basepath)
++        out = self.mkpath(basepath)
++        self.outfiles.extend(out or [])
+         for shortcut in self.shortcuts:
+             fullsrc = os.path.join(srcpath, shortcut)
+             fullpath = os.path.join(basepath, shortcut)
+             self.copy_file(fullsrc, fullpath)
++            (out, _) = self.copy_file(fullsrc, fullpath)
++            self.outfiles.append(out)
+ 
+ __all__ = ["build_shortcuts", "install_shortcuts"]

Added: head/multimedia/quodlibet/files/patch-operon.py
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/quodlibet/files/patch-operon.py	Sun May 11 14:37:21 2014	(r353703)
@@ -0,0 +1,8 @@
+--- operon.py.orig	2013-09-13 00:49:22.000000000 +0200
++++ operon.py	2014-04-23 12:21:26.430626881 +0200
+@@ -1,4 +1,4 @@
+-#!/usr/bin/python
++#!/usr/bin/env python
+ # Copyright 2012,2013 Christoph Reiter
+ #
+ # This program is free software; you can redistribute it and/or modify

Modified: head/multimedia/quodlibet/pkg-message
==============================================================================
--- head/multimedia/quodlibet/pkg-message	Sun May 11 14:34:22 2014	(r353702)
+++ head/multimedia/quodlibet/pkg-message	Sun May 11 14:37:21 2014	(r353703)
@@ -1,13 +1,11 @@
+=====================================================================
 For additional Quod Libet plugins:
 
-1. Fetch plugins archive.
+1. Fetch plugins archive from project download page:
+   https://bitbucket.org/lazka/quodlibet-files/raw/default/releases/quodlibet-plugins-2.6.3.tar.gz
 
-	fetch http://quodlibet.googlecode.com/files/quodlibet-plugins-2.2.tar.gz
-
-2. Extract archive.
-
-	tar xvfz quodlibet-plugins-2.2.tar.gz
-
-3. Copy extracted files to Quod Libet plugins directory.
-
-	cp -R quodlibet-plugins-2.2/* ~/.quodlibet/plugins/
+2. Extract archive into plugin dir in a user's home directory
+   mkdir -p ~/.quodlibet/plugins/
+   cd ~/.quodlibet/plugins/
+   tar xf path/to/downloaded/quodlibet-plugins-2.6.3.tar.gz
+=====================================================================
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 13 Thomas Zander freebsd_committer 2014-05-11 15:45:41 UTC
State Changed
From-To: feedback->closed

Committed (maintainer timeout). Thanks!
Comment 14 dfilter freebsd_committer 2014-05-13 23:07:29 UTC
Author: riggs
Date: Tue May 13 22:07:22 2014
New Revision: 354005
URL: http://svnweb.freebsd.org/changeset/ports/354005
QAT: https://qat.redports.org/buildarchive/r354005/

Log:
  MFH: r353703
  
  Un-break install, but while on it
  - Update port to upstream release 2.6.3
  - Use correct download URL (move from Google code to bitbucket)
  - Add LICENSE
  - USE_* -> USES
  - Generate plist via pydistutils
  - Use SPC option on i386 only, it's not supported elsewhere
  - Stagify
  - Change URLs in pkg-message (pointing to bitbucket), simplify
  
  Special thanks to Carlos (submitter) for reviewing, and to
  Christoph Reiter (Quodlibet project) for fixing the '--record'
  option for Quodlibet with pydistutils.
  
  PR:		ports/187263
  Submitted by:	Carlos Jacobo Puga Medina <cjpugmed@gmail.com>
  Reviewed by:	submitter
  Approved by:	portmgr(antoine), thierry (mentor), maintainer timeout

Added:
  branches/2014Q2/multimedia/quodlibet/files/extra-patch-pydistutils
     - copied unchanged from r353703, head/multimedia/quodlibet/files/extra-patch-pydistutils
  branches/2014Q2/multimedia/quodlibet/files/patch-operon.py
     - copied unchanged from r353703, head/multimedia/quodlibet/files/patch-operon.py
Deleted:
  branches/2014Q2/multimedia/quodlibet/files/patch-quodlibet__qltk__config.py
  branches/2014Q2/multimedia/quodlibet/pkg-plist
Modified:
  branches/2014Q2/multimedia/quodlibet/Makefile
  branches/2014Q2/multimedia/quodlibet/distinfo
  branches/2014Q2/multimedia/quodlibet/pkg-message
Directory Properties:
  branches/2014Q2/   (props changed)

Modified: branches/2014Q2/multimedia/quodlibet/Makefile
==============================================================================
--- branches/2014Q2/multimedia/quodlibet/Makefile	Tue May 13 21:49:55 2014	(r354004)
+++ branches/2014Q2/multimedia/quodlibet/Makefile	Tue May 13 22:07:22 2014	(r354005)
@@ -2,10 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	quodlibet
-PORTVERSION=	2.2
-PORTREVISION=	7
+PORTVERSION=	2.6.3
 CATEGORIES=	multimedia audio python gnome
-MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
+MASTER_SITES=	http://bitbucket.org/lazka/${PORTNAME}-files/raw/default/releases/
 
 MAINTAINER=	johnson.peter@gmail.com
 COMMENT=	A GTK+-based audio player written in Python
@@ -15,24 +14,25 @@ RUN_DEPENDS=	${PYTHON_SITELIBDIR}/mutage
 
 USE_PYTHON=	yes
 USE_GNOME=	pygtk2
-USES=		gettext
+USES=		display gettext
 USE_PYDISTUTILS=	yes
-USE_DISPLAY=	yes
-USE_GSTREAMER=	gconf good python
+PYDISTUTILS_INSTALLNOSINGLE=	yes
+PYDISTUTILS_AUTOPLIST=	yes
+
+EXTRA_PATCHES=	${FILESDIR}/extra-patch-pydistutils
 
-MAN1=		exfalso.1 quodlibet.1
+USE_GSTREAMER=	gconf good python
 
 OPTIONS_DEFINE=	FLAC MP3 AAC MUSEPACK OGG SPC SPEEX VORBIS WAVPACK DBUS REMOTE EXTENSIONS
-SPC_DESC=	SPC (SNES ROM audio) support
+
+OPTIONS_DEFAULT=	FLAC MP3 AAC MUSEPACK OGG SPC SPEEX VORBIS WAVPACK DBUS REMOTE
+
+SPC_DESC=	SPC (SNES ROM audio) support on i386
 SPEEX_DESC=	OGG/Speex audio support
 REMOTE_DESC=	Enable remote playback
 EXTENSIONS_DESC=	Enable extensions
 
-OPTIONS_DEFAULT=	FLAC MP3 AAC MUSEPACK OGG SPC SPEEX VORBIS WAVPACK DBUS REMOTE
-
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
-.include <bsd.port.pre.mk>
 
 .if ${PORT_OPTIONS:MOGG}
 USE_GSTREAMER+=	ogg
@@ -42,7 +42,7 @@ USE_GSTREAMER+=	ogg
 USE_GSTREAMER+=	vorbis
 .endif
 
-.if ${PORT_OPTIONS:MSPC}
+.if ${PORT_OPTIONS:MSPC} && ${ARCH} == i386
 USE_GSTREAMER+=	spc
 .endif
 
@@ -59,17 +59,17 @@ USE_GSTREAMER+=	flac
 .endif
 
 .if ${PORT_OPTIONS:MMUSEPACK}
-LIB_DEPENDS+=	mpcdec.7:${PORTSDIR}/audio/musepack
+LIB_DEPENDS+=	libmpcdec.so:${PORTSDIR}/audio/musepack
 USE_GSTREAMER+=	musepack
 .endif
 
 .if ${PORT_OPTIONS:MWAVPACK}
-LIB_DEPENDS+=	wavpack.2:${PORTSDIR}/audio/wavpack
+LIB_DEPENDS+=	libwavpack.so:${PORTSDIR}/audio/wavpack
 USE_GSTREAMER+=	wavpack
 .endif
 
 .if ${PORT_OPTIONS:MAAC}
-LIB_DEPENDS+=	mp4v2.10:${PORTSDIR}/multimedia/mp4v2
+LIB_DEPENDS+=	libmp4v2.so:${PORTSDIR}/multimedia/mp4v2
 USE_GSTREAMER+=	faad
 .endif
 
@@ -86,14 +86,6 @@ USE_GSTREAMER+=	gnomevfs
 
 .if ${PORT_OPTIONS:MEXTENSIONS}
 USE_GNOME+=	pygnomeextras
-PLIST_SUB+=	EXTENSIONS=""
-.else
-PLIST_SUB+=	EXTENSIONS="@comment "
 .endif
 
-post-install:
-	@${ECHO_CMD}
-	@${CAT} ${PKGMESSAGE}
-	@${ECHO_CMD}
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: branches/2014Q2/multimedia/quodlibet/distinfo
==============================================================================
--- branches/2014Q2/multimedia/quodlibet/distinfo	Tue May 13 21:49:55 2014	(r354004)
+++ branches/2014Q2/multimedia/quodlibet/distinfo	Tue May 13 22:07:22 2014	(r354005)
@@ -1,2 +1,2 @@
-SHA256 (quodlibet-2.2.tar.gz) = 1aac91369b26fa897c0d9eaa6a43aadcd5ffe8751a298a6c7beabe7591c0e713
-SIZE (quodlibet-2.2.tar.gz) = 910381
+SHA256 (quodlibet-2.6.3.tar.gz) = dff4ebb90c676678f72cecbff8ab15d80154354f40a865b6c9c82bb048d48a46
+SIZE (quodlibet-2.6.3.tar.gz) = 2507416

Copied: branches/2014Q2/multimedia/quodlibet/files/extra-patch-pydistutils (from r353703, head/multimedia/quodlibet/files/extra-patch-pydistutils)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q2/multimedia/quodlibet/files/extra-patch-pydistutils	Tue May 13 22:07:22 2014	(r354005, copy of r353703, head/multimedia/quodlibet/files/extra-patch-pydistutils)
@@ -0,0 +1,145 @@
+--- gdist/icons.py.orig	2013-09-25 12:31:19.000000000 +0200
++++ gdist/icons.py	2014-04-23 11:06:22.328926759 +0200
+@@ -35,13 +35,16 @@
+     prefix = None
+ 
+     def initialize_options(self):
+-        pass
++        self.outfiles = []
+ 
+     def finalize_options(self):
+         self.set_undefined_options('install',
+                                    ('root', 'root'),
+                                    ('install_base', 'prefix'))
+ 
++    def get_outputs(self):
++        return self.outfiles
++
+     def run(self):
+         # install into hicolor icon theme
+         basepath = os.path.join(self.prefix, 'share', 'icons', 'hicolor')
+@@ -52,11 +55,13 @@
+ 
+         scalable = os.path.join(local, "scalable", "apps")
+         scalable_dst = os.path.join(basepath, "scalable", "apps")
+-        self.copy_tree(scalable, scalable_dst)
++        out = self.copy_tree(scalable, scalable_dst)
++        self.outfiles.extend(out)
+ 
+         png = os.path.join(local, "64x64", "apps")
+         png_dst = os.path.join(basepath, "64x64", "apps")
+-        self.copy_tree(png, png_dst)
++        out = self.copy_tree(png, png_dst)
++        self.outfiles.extend(out)
+ 
+         # this fails during packaging.. so ignore the outcome
+         subprocess.call(['gtk-update-icon-cache', basepath])
+@@ -66,4 +71,5 @@
+         if self.root is not None:
+             basepath = change_root(self.root, basepath)
+ 
+-        self.copy_tree(png, basepath)
++        out = self.copy_tree(png, basepath)
++        self.outfiles.extend(out)
+--- gdist/man.py.orig	2013-09-25 12:31:19.000000000 +0200
++++ gdist/man.py	2014-04-23 11:10:03.793912457 +0200
+@@ -29,7 +29,7 @@
+     root = None
+ 
+     def initialize_options(self):
+-        pass
++        self.outfiles = []
+ 
+     def finalize_options(self):
+         self.set_undefined_options('install', ('root', 'root'), ('install_base', 'prefix'))
+@@ -38,15 +38,22 @@
+             if not man_page[-1].isdigit():
+                 raise SystemExit("%r has no section" % man_page)
+ 
++    def get_outputs(self):
++        return self.outfiles
++
+     def run(self):
+         basepath = os.path.join(self.prefix, 'share', 'man')
+         if self.root != None:
+           basepath = change_root(self.root, basepath)
+-        self.mkpath(basepath)
++        out = self.mkpath(basepath)
++        self.outfiles.extend(out or [])
+         for man_page in self.man_pages:
+             manpath = os.path.join(basepath, "man" + man_page[-1])
+             self.mkpath(manpath)
++            out = self.mkpath(manpath)
++            self.outfiles.extend(out or [])
+             fullpath = os.path.join(manpath, os.path.basename(man_page))
+-            self.copy_file(man_page, fullpath)
++            (out, _) = self.copy_file(man_page, fullpath)
++            self.outfiles.append(out)
+ 
+ __all__ = ["install_man"]
+--- gdist/po.py.orig	2013-09-25 12:31:19.000000000 +0200
++++ gdist/po.py	2014-04-23 11:06:22.329926420 +0200
+@@ -149,7 +149,7 @@
+     root = None
+ 
+     def initialize_options(self):
+-        pass
++        self.outfiles = []
+ 
+     def finalize_options(self):
+         self.set_undefined_options('build', ('build_base', 'build_base'))
+@@ -159,6 +159,9 @@
+             ('install_base', 'install_base'),
+             ('skip_build', 'skip_build'))
+ 
++    def get_outputs(self):
++        return self.outfiles
++
+     def run(self):
+         if not self.skip_build:
+             self.run_command('build_mo')
+@@ -166,6 +169,7 @@
+         dest = os.path.join(self.install_base, "share", "locale")
+         if self.root != None:
+             dest = change_root(self.root, dest)
+-        self.copy_tree(src, dest)
++        out = self.copy_tree(src, dest)
++        self.outfiles.extend(out)
+ 
+ __all__ = ["build_mo", "install_mo", "po_stats", "check_pot"]
+--- gdist/shortcuts.py.orig	2013-09-25 12:31:19.000000000 +0200
++++ gdist/shortcuts.py	2014-04-23 11:11:31.218905210 +0200
+@@ -66,7 +66,7 @@
+     root = None
+ 
+     def initialize_options(self):
+-        pass
++        self.outfiles = []
+ 
+     def finalize_options(self):
+         self.set_undefined_options('build', ('build_base', 'build_base'))
+@@ -79,6 +79,9 @@
+         self.set_undefined_options(
+             'build_shortcuts', ('shortcuts', 'shortcuts'))
+ 
++    def get_outputs(self):
++        return self.outfiles
++
+     def run(self):
+         if not self.skip_build:
+             self.run_command('build_shortcuts')
+@@ -86,10 +89,13 @@
+         if self.root != None:
+             basepath = change_root(self.root, basepath)
+         srcpath = os.path.join(self.build_base, 'share', 'applications')
+-        self.mkpath(basepath)
++        out = self.mkpath(basepath)
++        self.outfiles.extend(out or [])
+         for shortcut in self.shortcuts:
+             fullsrc = os.path.join(srcpath, shortcut)
+             fullpath = os.path.join(basepath, shortcut)
+             self.copy_file(fullsrc, fullpath)
++            (out, _) = self.copy_file(fullsrc, fullpath)
++            self.outfiles.append(out)
+ 
+ __all__ = ["build_shortcuts", "install_shortcuts"]

Copied: branches/2014Q2/multimedia/quodlibet/files/patch-operon.py (from r353703, head/multimedia/quodlibet/files/patch-operon.py)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q2/multimedia/quodlibet/files/patch-operon.py	Tue May 13 22:07:22 2014	(r354005, copy of r353703, head/multimedia/quodlibet/files/patch-operon.py)
@@ -0,0 +1,8 @@
+--- operon.py.orig	2013-09-13 00:49:22.000000000 +0200
++++ operon.py	2014-04-23 12:21:26.430626881 +0200
+@@ -1,4 +1,4 @@
+-#!/usr/bin/python
++#!/usr/bin/env python
+ # Copyright 2012,2013 Christoph Reiter
+ #
+ # This program is free software; you can redistribute it and/or modify

Modified: branches/2014Q2/multimedia/quodlibet/pkg-message
==============================================================================
--- branches/2014Q2/multimedia/quodlibet/pkg-message	Tue May 13 21:49:55 2014	(r354004)
+++ branches/2014Q2/multimedia/quodlibet/pkg-message	Tue May 13 22:07:22 2014	(r354005)
@@ -1,13 +1,11 @@
+=====================================================================
 For additional Quod Libet plugins:
 
-1. Fetch plugins archive.
+1. Fetch plugins archive from project download page:
+   https://bitbucket.org/lazka/quodlibet-files/raw/default/releases/quodlibet-plugins-2.6.3.tar.gz
 
-	fetch http://quodlibet.googlecode.com/files/quodlibet-plugins-2.2.tar.gz
-
-2. Extract archive.
-
-	tar xvfz quodlibet-plugins-2.2.tar.gz
-
-3. Copy extracted files to Quod Libet plugins directory.
-
-	cp -R quodlibet-plugins-2.2/* ~/.quodlibet/plugins/
+2. Extract archive into plugin dir in a user's home directory
+   mkdir -p ~/.quodlibet/plugins/
+   cd ~/.quodlibet/plugins/
+   tar xf path/to/downloaded/quodlibet-plugins-2.6.3.tar.gz
+=====================================================================
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"